Subject: Re: Editorial comments about DISMAN-EVENT-MIB

From: Alan Luchuk <[email-masked]>
Date: Wed, 5 Jan 2000 14:56:36 -0500 (EST)

Hello,

I have questions about Randy's replies to my editorial comments on 
<draft-ietf-disman-event-mib-09.txt>.   In this reply, I deleted 
most of Randy's comments to shorten the E-mail.  What remains are
only the few items I have questions about.

>> Page 8, fourth paragraph:
>> -------------------------
>>
>>    Need a few spaces between "[rfcNotificationLogMIB]." and "MIB".
>
>?? The only occurrance of rfcNotificationLogMIB is on page 6.
>The "rfc" should be replaced with RFC, though the whole thing
>should be replaced during the publication process.

Are we both looking at <draft-ietf-disman-event-mib-09.txt>?
I doubled checked, in my copy, this is in _section_ 6, titled
"Operation", on _page_ 8.

>>
>> Page 16, second paragraph:
>> --------------------------
>>
>> Currently reads:
>>
>>    For 'existence', the specific test is as selected by
>>    mteTriggerExistenceTest.  When an object appears or vanishes
>>    the trigger fires.  The trigger will not fire again until the
>>    object has changed states.
>>
>> I suggest the following text is a little clearer (and more accurate):
>>
>>    For 'existence', the specific test is as selected by
>>    mteTriggerExistenceTest.  When an object appears, vanishes, or
>>    changes value, then the trigger fires.  The trigger will not
>>    fire again until the object has changed states.
>>
>
>Adding "or changes value" would be a significant technical change.
>This would be inappropriate at this time.  Unless there is a good
>internal consistency argument that the current text here is in
>error, as WG chair I'm inclined to rule "too late" on this one.

Why would adding "or changes value" be a significant technical change?
The mteTriggerExistenceTest object is defined (on page 24) as follows:

   mteTriggerExistenceTest OBJECT-TYPE
       SYNTAX      BITS { present(0), absent(1), changed(2) }
       MAX-ACCESS  read-write
       STATUS      current
       DESCRIPTION
        "The type of existence test to perform.  The trigger fires
        when the object at mteTriggerValueID is seen to go from
        present to absent, from absent to present, or to have it's
        value changed, depending on which tests are selected.

        Once the trigger has fired for either presence or absence it
        will not fire again for that state until the object has been
        to the other state."
       DEFVAL { { present, absent } }
       ::= { mteTriggerExistenceEntry 1 }

Adding "or changes value" (on page 16, second paragraph) simply states 
in verbiage what the the mteTriggerExistenceTest SYNTAX and DESCRIPTION
clauses (on page 24) already says.

Personally, I don't really care about whether or not "or changes value"
is added on page 16, I just thought adding the my suggested text would 
more accurately reflect the definition of mteTriggerExistenceTest.  I'm 
asking why this is considered a technical change so I better understand 
the IETF standards-writing "procedural" stuff.

>>
>> Page 25
>> -------
>>
>> The DESCRIPTION clause for the mteTriggerExistenceEventOwner
>> references the mteObjectsTable.
>>
>
>I believe the current description is correct.
>It's consistent with all the other mte*EventOwner objects.

Huh?  I double-checked.  Closely compare the DESCRIPTION clauses of:

   mteTriggerExistenceEventOwner 
   mteTriggerBooleanEventOwner
   mteTriggerThresholdRisingEventOwner
   mteTriggerThresholdFallingEventOwner

The DESCRIPTION clause of mteTriggerExistenceEventOwner differs
from the other three.  I thought the EventOwner objects referred
to the mteEventTable, not the mteObjectsTable (as written in the
mteTriggerExistenceEventOwner DESCRIPTION clause.)

Regards,
--Alan
 
 -----------------------------------------------------------------------------
 Alan Luchuk       SNMP Research, Inc.                 Voice:  +1 865 573 1434
 Software Engineer 3001 Kimberlin Heights Road         FAX:    +1 865 573 9197
 [email-masked]   Knoxville, TN  37920-9716  U.S.A.   http://www.snmp.com/
 -----------------------------------------------------------------------------

   Please note that our telephone area code recently changed from 423 to 865. 
   Area 423 should countinue to work until it is phased out in April, 2000.

---

From: Ramanathan Kavasseri <[email-masked]>
Date: Thu, 06 Jan 2000 13:51:46 -0800

>        value changed, depending on which tests are selected.

Hmm, the above "have it's value changed" text seems to be in error.
I'd like to see it removed, but it presents a significant operational
change...Comments from the chair?
I don't think an "existence check" should have anything to do with
testing values...

>the IETF standards-writing "procedural" stuff.

I see where you're coming from...I don't think the DESXCRIPTION of the 
mteTriggerExistenceTest is correct - perhaps someone else can fill
in the reason why the DESCRIPTION asks to test for value changes...

>mteTriggerExistenceEventOwner DESCRIPTION clause.)

You're right...Fixed it...The text now reads:

mteTriggerExistenceEventOwner OBJECT-TYPE
    SYNTAX      SnmpAdminString (SIZE (0..32))
    MAX-ACCESS  read-write
    STATUS      current
    DESCRIPTION
        "To go with mteTriggerExistenceEvent, the mteOwner of an event
        entry from the mteEventTable."
    DEFVAL { ''H }
    ::= { mteTriggerExistenceEntry 5 }

Thanks,

Ram